summaryrefslogtreecommitdiffstats
path: root/source/n/cifs-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/cifs-utils')
-rw-r--r--source/n/cifs-utils/cifs-utils-6.7-talloc.patch29
-rwxr-xr-xsource/n/cifs-utils/cifs-utils.SlackBuild21
-rw-r--r--source/n/cifs-utils/slack-desc12
3 files changed, 53 insertions, 9 deletions
diff --git a/source/n/cifs-utils/cifs-utils-6.7-talloc.patch b/source/n/cifs-utils/cifs-utils-6.7-talloc.patch
new file mode 100644
index 000000000..7e3418631
--- /dev/null
+++ b/source/n/cifs-utils/cifs-utils-6.7-talloc.patch
@@ -0,0 +1,29 @@
+https://bugs.gentoo.org/show_bug.cgi?id=612018
+
+From: Thomas Witt <pyromaniac@exherbo.org>
+Date: Wed, 15 Mar 2017 20:20:44 +0000 (+0000)
+Subject: mount.cifs: Remove data_blob.h include
+X-Git-Url: https://git.samba.org/?p=cifs-utils.git;a=commitdiff_plain;h=272d523a57a4e8791d625a479128613be5e401f5
+
+mount.cifs: Remove data_blob.h include
+
+data_blob.h includes talloc.h from libtalloc, but that is only marked as
+a dependency for cifs.upcall. No symbols from that header are used by
+cifs.mount, so remove it to avoid the libtalloc dependency
+
+Signed-off-by: Thomas Witt <pyromaniac@exherbo.org>
+---
+
+diff --git a/mount.cifs.c b/mount.cifs.c
+index 13b71ef..2612feb 100644
+--- a/mount.cifs.c
++++ b/mount.cifs.c
+@@ -61,7 +61,6 @@
+ #include "mount.h"
+ #include "util.h"
+ #include "resolve_host.h"
+-#include "data_blob.h"
+
+ #ifndef MS_MOVE
+ #define MS_MOVE 8192
+
diff --git a/source/n/cifs-utils/cifs-utils.SlackBuild b/source/n/cifs-utils/cifs-utils.SlackBuild
index 20871fb7b..09920214a 100755
--- a/source/n/cifs-utils/cifs-utils.SlackBuild
+++ b/source/n/cifs-utils/cifs-utils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cifs-utils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
@@ -36,6 +37,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -61,7 +70,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -80,6 +88,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# data_blob.h is only needed for cifs_upcall, which we don't have due
+# to lack of krb5, so let's unfail the build
+zcat $CWD/cifs-utils-6.7-talloc.patch.gz | patch -p1 --verbose || exit 1
+
+# Sigh.
+autoreconf -vif
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/n/cifs-utils/slack-desc b/source/n/cifs-utils/slack-desc
index ff9ba3e82..50f801ba9 100644
--- a/source/n/cifs-utils/slack-desc
+++ b/source/n/cifs-utils/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
cifs-utils: cifs-utils (CIFS filesystem utilities)
cifs-utils:
cifs-utils: This is the release version of cifs-utils, a package of utilities for
-cifs-utils: doing and managing mounts of the Linux CIFS filesystem. The in-kernel
+cifs-utils: doing and managing mounts of the Linux CIFS filesystem. The in-kernel
cifs-utils: CIFS filesystem is generally the preferred method for mounting
-cifs-utils: SMB/CIFS shares on Linux. This filesystem relies on a set of
+cifs-utils: SMB/CIFS shares on Linux. This filesystem relies on a set of
cifs-utils: user-space tools that were originally part of Samba, but have now been
cifs-utils: split off into this separate package.
cifs-utils:
-cifs-utils: Home page: http://wiki.samba.org/index.php/LinuxCIFS_utils
+cifs-utils: Home page: http://wiki.samba.org/index.php/LinuxCIFS_utils
cifs-utils: